Subject: ~100Go Data loss on 2 of 4 drives, one nvme and one hdd, two different brands but all on EXT4.

From: zer0 divide <[email-masked]>
Date: Thu, 4 Apr 2019 09:54:32 +0200

Package: src:linux
Version: 4.19.16-1~bpo9+1
Severity: critical

-- Package-specific info:
** Version:
Linux version 4.19.0-0.bpo.2-amd64 ([email-masked]) (gcc
version 6.3.0 20170516 (Debian 6.3.0-18+deb9u1)) #1 SMP Debian
4.19.16-1~bpo9+1 (2019-02-07)

** Command line:
BOOT_IMAGE=/vmlinuz-4.19.0-0.bpo.2-amd64
root=UUID=0db28127-d71b-4abc-a435-5700daa4f2c3 ro quiet

** Tainted: E (8192)
 * Unsigned module has been loaded.

** Kernel log:
Unable to read kernel log; any relevant messages should be attached

** Model information
sys_vendor: Micro-Star International Co., Ltd.

** Loaded modules:
iptable_filter(E)
veth(E)
udp_diag(E)
tcp_diag(E)
inet_diag(E)
fuse(E)
bridge(E)
stp(E)
llc(E)
xt_multiport(E)
nf_log_ipv4(E)
nf_log_common(E)
nft_limit(E)
xt_LOG(E)
xt_limit(E)
nfnetlink_log(E)
xt_NFLOG(E)
ip_tables(E)
xt_state(E)
xt_conntrack(E)
xt_tcpudp(E)
nft_compat(E)
x_tables(E)
nft_counter(E)
nf_tables(E)
nfnetlink(E)
nf_nat_ftp(E)
nf_conntrack_ftp(E)
nf_nat(E)
nf_conntrack(E)
nf_defrag_ipv6(E)
nf_defrag_ipv4(E)
libcrc32c(E)
crc32c_generic(E)
nls_ascii(E)
nls_cp437(E)
vfat(E)
fat(E)
amdgpu(E)
chash(E)
gpu_sched(E)
snd_hda_codec_realtek(E)
snd_hda_codec_generic(E)
radeon(E)
snd_hda_codec_hdmi(E)
snd_hda_intel(E)
ppdev(E)
wmi_bmof(E)
edac_mce_amd(E)
snd_hda_codec(E)
kvm_amd(E)
ttm(E)
snd_hda_core(E)
drm_kms_helper(E)
snd_hwdep(E)
snd_pcm(E)
evdev(E)
kvm(E)
efi_pstore(E)
snd_timer(E)
drm(E)
irqbypass(E)
ccp(E)
snd(E)
pcspkr(E)
i2c_algo_bit(E)
efivars(E)
soundcore(E)
k10temp(E)
sp5100_tco(E)
rng_core(E)
parport_pc(E)
parport(E)
wmi(E)
pcc_cpufreq(E)
button(E)
acpi_cpufreq(E)
ext4(E)
crc16(E)
mbcache(E)
jbd2(E)
fscrypto(E)
algif_skcipher(E)
af_alg(E)
dm_crypt(E)
dm_mod(E)
hid_generic(E)
usbhid(E)
hid(E)
sg(E)
uas(E)
usb_storage(E)
sd_mod(E)
crct10dif_pclmul(E)
crc32_pclmul(E)
crc32c_intel(E)
ghash_clmulni_intel(E)
pcbc(E)
ahci(E)
xhci_pci(E)
aesni_intel(E)
libahci(E)
aes_x86_64(E)
xhci_hcd(E)
crypto_simd(E)
libata(E)
r8169(E)
cryptd(E)
glue_helper(E)
nvme(E)
usbcore(E)
i2c_piix4(E)
libphy(E)
scsi_mod(E)
usb_common(E)
nvme_core(E)
gpio_amdpt(E)
gpio_generic(E)

** USB devices:
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

-- System Information:
Distributor ID:    Devuan
Description:    Devuan GNU/Linux 2.0 (ascii)
Release:    2.0
Codename:    ascii

Architecture: x86_64

Kernel: Linux 4.19.0-0.bpo.2-amd64 (SMP w/12 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages linux-image-4.19.0-0.bpo.2-amd64-unsigned depends on:
ii  initramfs-tools [linux-initramfs-tool]  0.130
ii  kmod                                    23-2
ii  linux-base                              4.5

Versions of packages linux-image-4.19.0-0.bpo.2-amd64-unsigned recommends:
ii  apparmor             2.13.2-10
ii  firmware-linux-free  3.4
ii  irqbalance           1.1.0-2.3

Versions of packages linux-image-4.19.0-0.bpo.2-amd64-unsigned suggests:
pn  debian-kernel-handbook  <none>
ii  extlinux                3:6.04~git20190206.bf6db5b4+dfsg1-1~bpo9+1
pn  linux-doc-4.19          <none>

Versions of packages linux-image-4.19.0-0.bpo.2-amd64-unsigned is
related to:
ii  firmware-amd-graphics                     20190114-1
pn  firmware-atheros                          <none>
pn  firmware-bnx2                             <none>
pn  firmware-bnx2x                            <none>
pn  firmware-brcm80211                        <none>
pn  firmware-cavium                           <none>
pn  firmware-intel-sound                      <none>
pn  firmware-intelwimax                       <none>
pn  firmware-ipw2x00                          <none>
pn  firmware-ivtv                             <none>
pn  firmware-iwlwifi                          <none>
pn  firmware-libertas                         <none>
pn  firmware-linux-nonfree                    <none>
pn  firmware-misc-nonfree                     <none>
pn  firmware-myricom                          <none>
pn  firmware-netxen                           <none>
pn  firmware-qlogic                           <none>
ii  firmware-realtek                          20190114-1
pn  firmware-samsung                          <none>
pn  firmware-siano                            <none>
pn  firmware-ti-connectivity                  <none>
ii  xen-hypervisor-4.11-amd64 [xen-hyperviso  4.11.1+26-g87f51bf366-3
ii  xen-hypervisor-4.8-amd64 [xen-hypervisor 
4.8.5+shim4.10.2+xsa282-1+deb9u11

I tried to find help on the forum and the IRC #devuan channel, but seems
useless…

There are 4 drives, two different brands, 3 different technologies (SSD,
Hard Drive, and nvme), and data loss occurred on the HDD and the nvme…
So different technologies, "different controllers", different brands but
they all have in common EXT4. The data vanished in few seconds…

I tried photorec without success. There are not recoverable.

You can find a summary here :
https://dev1galaxy.org/viewtopic.php?id=2771 (I can supply more
information if needed)